import argparse
import sys
import os

def get_arguments():
    parser = argparse.ArgumentParser(description='A description of the program.')

    parser.add_argument('-i', '--input', metavar='FILE', 
                        dest='input', required=True,
                        help='Input file.')
    
    parser.add_argument('-o', '--output', metavar='FILE', 
                        dest='output', default='file.out',
                        help='Output file.')
    
    parser.add_argument('-c, --check', dest='check', action='store_true',
                        help='Check if output file exists.')
    
    args = parser.parse_args()
    
    if not os.path.exists(args.input):
        sys.exit('Error: input file is missing.')
    if args.check and os.path.exists(args.output):
        sys.exit('Error: output file already exists.')
    
    return args


if __name__ == '__main__':
    args = get_arguments()
    
    with open(args.output, 'w') as f:
        f.write(args.input +'\n')
        f.write(args.output +'\n')
        f.write(str(args.check) +'\n')
